System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Data.Common.DBDataPermission

This class is intended for future use when the .NET Framework Data Provider for OLE DB is enabled for partial trust scenarios. The .NET Framework Data Provider for OLE DB currently requires FullTrust permission. Currently, using the OleDbPermission class has no effect. For more information, see Code Access Security and ADO.NET.

Enables the .NET Framework Data Provider for OLE DB to help make sure that a user has a security level sufficient to access an OLE DB data source.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
  System.Obsolete("use OleDbPermission(PermissionState.None)", true)
- Constructor
  To be added

  Initializes a new instance of the class.

  One of the values.
  1.0.5000.0
  2.0.0.0
- Constructor

  The enumeration takes precedence over the property. Therefore, if you set to false, you must also set to None to prevent a user from making a connection using a blank password.

  Initializes a new instance of the class.

  One of the values.
  Indicates whether a blank password is allowed.
  1.0.5000.0
  2.0.0.0
  System.Obsolete("use OleDbPermission(PermissionState.None)", true)
- Method
  System.Security.IPermission To be added

  Returns the as an .

  A copy of the current permission object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added: an object of type 'Security.SecurityElement' To be added To be added 1.0.5000.0
- Method
  System.Security.IPermission `` To be added: an object of type 'Security.IPermission' To be added To be added: an object of type 'Security.IPermission' To be added 1.0.5000.0
- Property
  System.String To be added: an object of type 'string' To be added

  This property has been marked as obsolete. Setting this property will have no effect.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.ComponentModel.Browsable(false)
  System.Obsolete
- Method
  System.Security.SecurityElement To be added To be added: an object of type 'Security.SecurityElement' To be added 1.0.5000.0
- Method
  System.Security.IPermission `` To be added: an object of type 'Security.IPermission' To be added To be added: an object of type 'Security.IPermission' To be added 1.0.5000.0